aboutsummaryrefslogtreecommitdiff
path: root/cross_configure
diff options
context:
space:
mode:
authoradinn <none@none>2013-07-05 12:39:58 +0100
committeradinn <none@none>2013-07-05 12:39:58 +0100
commit4220593292b823f63e781ce43b726df6ef8cdee4 (patch)
treee26b5dc71d3973485ddad854f1f21e21ddb7b29e /cross_configure
parentad3dc52760e72c572f8121944400c4d6a40400c4 (diff)
Added build scripts and updated README.aarch64 explaining how to use them
Still need to add details of how to obtain and set up the ARM fastmodel and a Linux sysroot and how to run on the fastmodel.
Diffstat (limited to 'cross_configure')
-rw-r--r--cross_configure28
1 files changed, 28 insertions, 0 deletions
diff --git a/cross_configure b/cross_configure
new file mode 100644
index 0000000..acb0409
--- /dev/null
+++ b/cross_configure
@@ -0,0 +1,28 @@
+#!/bin/sh -e
+IWD=`(cd ..;pwd)`
+if [ ! -d $IWD/sysroots ]; then
+ echo "$IWD/sysroots not found!!!"
+ echo "Please either install sysroots in $IWD/sysroots, or link $IWD/sysroots to your installed sysroots."
+ echo "For a limited period of time a pre-populated sysroots may be downloaded from http://people.linaro.org/~edward.nevill/sysroots.tar.gz"
+ exit 1
+fi
+mkdir -p /tmp/oe_45434e/jenkins-setup/build/tmp-eglibc
+ln -f -s $IWD/sysroots /tmp/oe_45434e/jenkins-setup/build/tmp-eglibc/
+export STRINGS="aarch64-oe-linux-strings"
+export CC="aarch64-oe-linux-gcc "
+export OBJCOPY="aarch64-oe-linux-objcopy"
+export LD="aarch64-oe-linux-ld "
+export CCLD="aarch64-oe-linux-gcc "
+export PKG_CONFIG_LIBDIR="$IWD/sysroots/genericarmv8//usr/lib/pkgconfig"
+export PKG_CONFIG_DISABLE_UNINSTALLED="yes"
+export CPP="aarch64-oe-linux-gcc -E "
+export STRIP="aarch64-oe-linux-strip"
+export PKG_CONFIG_SYSROOT_DIR="$IWD/sysroots/genericarmv8"
+export RANLIB="aarch64-oe-linux-ranlib"
+export CXX="aarch64-oe-linux-g++ "
+export OBJDUMP="aarch64-oe-linux-objdump"
+export NM="aarch64-oe-linux-nm"
+export AS="aarch64-oe-linux-as"
+export AR="aarch64-oe-linux-ar"
+export PATH="$IWD/sysroots/x86_64-linux/usr/bin/aarch64-oe-linux:$IWD/sysroots/genericarmv8/usr/bin/crossscripts:$IWD/sysroots/x86_64-linux/usr/sbin:$IWD/sysroots/x86_64-linux/usr/bin:$IWD/sysroots/x86_64-linux/sbin:$IWD/sysroots/x86_64-linux//bin:/usr/sbin:/usr/bin:/sbin:/bin"
+/usr/bin/bash ./configure --with-debug-level=release --with-jvm-variants=client --with-sys-root=$IWD/sysroots/genericarmv8 --enable-unlimited-crypto --openjdk-target=aarch64-oe-linux --with-cacerts-file=$IWD/sysroots/x86_64-linux/usr/lib/jvm/icedtea7-native/jre/lib/security/cacerts --with-zlib=system --with-stdc++lib=dynamic --with-boot-jdk=$IWD/sysroots/x86_64-linux/usr/lib/jvm/icedtea7-native